Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.control
[Java] Interface ParserPlugin

    public interface ParserPlugin

A simple extension point to allow us to switch between the classic Groovy parser and the new Antlr based parser

Version:
  \$Revision\$

Method Summary
`ModuleNode` | `buildAST(SourceUnit sourceUnit, java.lang.ClassLoader classLoader, Reduction cst)`
`Reduction` | `parseCST(SourceUnit sourceUnit, java.io.Reader reader)`

Method Detail

### buildAST

    public ModuleNode buildAST(SourceUnit sourceUnit, java.lang.ClassLoader classLoader, Reduction cst)

### parseCST

    public Reduction parseCST(SourceUnit sourceUnit, java.io.Reader reader)

Groovy Documentation